Developers

List generation models

GET
/models

Every image model on offer (Seedream 5.5) with its Operations, prompt and input limits, options and default price. available is false while its Model Provider is not configured in this deployment.

Response Body

Success.

application/json
  1. response
items*array<>
next_cursor*string|null
Example request
curl -X GET 'https://ximagesplitter.com/api/v1/models'
Example response
{  "items": [    {      "id": "seedream-5-5",      "name": "string",      "mediaType": "image",      "provider": "kie",      "available": true,      "defaultOperation": "text-to-image",      "operations": [        {          "id": "text-to-image",          "outputMediaType": "image",          "prompt": {            "minLength": 0,            "maxLength": 1          },          "negativePromptMaxLength": 1,          "inputAssets": [            {              "id": "string",              "mediaType": "image",              "role": "source",              "required": true,              "conditional": true,              "maxFiles": 1,              "maxFileBytes": 1,              "mimeTypes": [                "string"              ]            }          ],          "options": [            {              "id": "string",              "kind": "string",              "values": [                "string"              ],              "default": "string",              "min": 0,              "max": 0,              "step": 0,              "maxLength": 1,              "conditional": true            }          ],          "creditsAtDefaultOptions": 1        }      ]    }  ],  "next_cursor": "string"}